<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Cookies</title>
    <link rel="stylesheet" href="../css/cours.css">
    <style>
        button {
            padding:15px;
            margin: 15px;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <p>
        <span>Le contenu du cookie</span>
        <span id="cookie-info">?????</span>
    </p>
    <div>
        <button id="create-cookie">Creer un cookie</button>
    </div>
    <div>
        <button id="display-cookie">Afficher le contenu d'un cookie</button>
    </div>
    <script>
        let creerBtn = document.querySelector('#create-cookie');

        creerBtn.addEventListener('click', function() {
            let date = new Date(Date.now() + 86400000); //86400000ms = 1 jour
            date = date.toUTCString();

            //Crée ou met à jour un cookie 'user'
            document.cookie = 'user=xxx; path=/; expires=' + date;

          //  document.cookie = 'user=Tarzan; path=/; expires=' + date;

            //Supprime le cookie en lui passant une date d'expiration passée
            // document.cookie = 'user=; path=/; expires=Thu, 01 Jan 1970 00:00:00 UTC';

            });

        let displayBtn = document.querySelector('#display-cookie');

        displayBtn.addEventListener('click', function() {
            let info =  document.querySelector('#cookie-info');

            let cookie = document.cookie;
            info.innerHTML= cookie
        });


    </script>
</body>
</html>